package com.heyu.api.data.service.impl.device;
/**
* <p>
* 工厂信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceProductFactoryInfoDao;
import com.heyu.api.data.entity.device.DeviceProductFactoryInfoEntity;
import com.heyu.api.data.service.device.DeviceProductFactoryInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceProductFactoryInfoServiceImpl extends ServiceImpl<DeviceProductFactoryInfoDao, DeviceProductFactoryInfoEntity> implements DeviceProductFactoryInfoService {


    @Autowired
	private DeviceProductFactoryInfoDao deviceProductFactoryInfoDao;



	@Override
	public DeviceProductFactoryInfoEntity selectDeviceProductFactoryInfoById(Long id){
		return deviceProductFactoryInfoDao.selectDeviceProductFactoryInfoById(id);
	}



	@Override
	public Long insertDeviceProductFactoryInfo(DeviceProductFactoryInfoEntity deviceProductFactoryInfo){
		return deviceProductFactoryInfoDao.insertDeviceProductFactoryInfo(deviceProductFactoryInfo);
	}



	@Override
	public Long insertOrUpdateDeviceProductFactoryInfo(DeviceProductFactoryInfoEntity deviceProductFactoryInfo){
		return deviceProductFactoryInfoDao.insertOrUpdateDeviceProductFactoryInfo(deviceProductFactoryInfo);
	}



	@Override
	public int updateDeviceProductFactoryInfoById(DeviceProductFactoryInfoEntity deviceProductFactoryInfo){
		return deviceProductFactoryInfoDao.updateDeviceProductFactoryInfoById(deviceProductFactoryInfo);
	}



	@Override
	public int updateCoverDeviceProductFactoryInfoById(DeviceProductFactoryInfoEntity deviceProductFactoryInfo){
		return deviceProductFactoryInfoDao.updateCoverDeviceProductFactoryInfoById(deviceProductFactoryInfo);
	}



	@Override
	public int deleteDeviceProductFactoryInfoById(Long id){
		return deviceProductFactoryInfoDao.deleteDeviceProductFactoryInfoById(id);
	}



}
